#!/bin/sh

#    Execute a native command and log the transaction
#
#  Environment variables:
#      SummaryLog         (Required) The log file.
#      SectionName        (Optional) The name of the calling batch file.
#      CommandName        (Optional) An ID or name for the command being issued.
#      CommandDescription (Optional) A Description of intent for the command.
#
#
#
#

if [ -z "$SummaryLog" ]; then
    echo "Please set the SummaryLog variable before running the command"
    exit
fi;

SQLTS=`date +"%Y-%m-%d-%H:%M:%S"`

if [ -n "$CommandName" ]; then
	echo "$SQLTS Section     : $SectionName : $CommandName" >>$SummaryLog

	if [ "$CommandDescription" ]; then
	  echo $SQLTS Description : $CommandDescription >>$SummaryLog
	fi;
fi;

if [ "$1" = "echo" ]; then
    isEcho=true
    if [ "$OS_NAME" = "Linux" ];then
        shift
        CMD="echo -e $*"
    else
        CMD=$*
    fi;
elif [ "$1" = "echolog" ];then
    isEcho=true
    logOnly=true
    shift
    CMD="echo $*"
else
    echo $SQLTS $*|tee -a $SummaryLog
    CMD=$*
fi;
if [ "$logOnly" = "true" ];then
	$CMD  > LogEvent.std 
else
	$CMD  2>&1 |tee -a LogEvent.std 
fi;
rc=$?
SQLTS=`date +"%Y-%m-%d-%H:%M:%S"`

if [ -f LogEvent.std ]; then
	cat LogEvent.std >> $SummaryLog
  	rm LogEvent.std
fi;

if [ "$isEcho" = "true" ] ;then
   isEcho=""
else
   echo $SQLTS rc = $rc|tee -a $SummaryLog
fi;

CommandName=""
export CommandName
CommandDescription=""
export CommandDescription

exit $rc 

